Bug 106533 - Sifr icon for "Index Entry" needed
Summary: Sifr icon for "Index Entry" needed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Papamatti
QA Contact:
URL:
Whiteboard: target:5.5.0 target:5.3.4 target:5.4....
Keywords:
Depends on:
Blocks: Sifr-Icon-Theme
  Show dependency treegraph
 
Reported: 2017-03-14 14:03 UTC by Thomas Lendo
Modified: 2017-07-21 21:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Standard toolbar with visible Index Entry icon (10.05 KB, image/png)
2017-03-14 14:03 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Lendo 2017-03-14 14:03:58 UTC
Created attachment 131881 [details]
Standard toolbar with visible Index Entry icon

It seems that there is no Sifr-icated icon for "Index Entry..." in toolbars and the Insert menu (in sub-menu "Table of Contents and Index"). At least the lines are too fine/subtle compared to other Sifr icons like "Numbered list" or "Insert link".

Tested with LibO 5.3.0.3
Comment 1 Buovjaga 2017-03-16 08:36:59 UTC
Confirmed, it is using Breeze icon as fallback.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: eb7b03b052ffe8c2c577b2349987653db6c53f76
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2017-02-26_22:34:18
Locale: fi-FI (fi_FI); Calc: CL
Comment 2 Commit Notification 2017-05-27 23:59:35 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90e88029a68aa748cd3e62d556f2be4f2f58d7b8

tdf#106533 Sifr icon for "Index Entry" needed

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-05-27 23:59:43 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45511d939750345335ba840f2364b567f1a76c42

tdf#106533 Sifr icon for "Index Entry" needed SVG

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-29 15:05:04 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5b2b838fe7f36fe80894d23676585d46f899c807&h=libreoffice-5-3

tdf#106533 Sifr icon for "Index Entry" needed

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-05-29 15:06:23 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34a11833654a9b7d0fd37cee82832377d33a3255&h=libreoffice-5-4

tdf#106533 Sifr icon for "Index Entry" needed

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Thomas Lendo 2017-06-01 12:05:54 UTC
Thanks for the patch, Matthias!
Comment 7 Thomas Lendo 2017-06-06 22:05:31 UTC
Verified fixed.

Version: 5.5.0.0.alpha0+
Build-ID: 200a566cf106fc724b99c373f16da0058163b28d
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-05_23:01:35
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 8 Thomas Lendo 2017-06-23 19:54:29 UTC
Matthias, I see the Breeze icon in the toolbar instead of the new Sifr icon.

Version: 6.0.0.0.alpha0+
Build ID: 6ef59d7ace7e4db52caea601a384ed016365bcaf
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-20_01:21:33
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 9 Commit Notification 2017-07-21 21:24:34 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37185c03e1d66c494b0da298b22aca557d8a3f3c

tdf#106533 Correct insert index entry icon filename

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.